package com.mortals.xhx.module.workman.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.workman.model.WorkmanEntity;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
import com.mortals.framework.annotation.Excel;
import java.math.BigDecimal;
import java.util.Date;
/**
* 工作人员视图对象
*
* @author zxfei
* @date 2023-05-22
*/
@Data
public class WorkmanVo extends BaseEntityLong {

    private String oldPwd;
    private String newPwd;

    /**
     * 登录用户名
     */
    @Excel(name = "用户名")
    private String loginName;
    /**
     * 密码
     */
    @Excel(name = "密码")
    private String loginPwd;

}